# Covid 19 Tracker

<p float="left">
     <img src="img/1.jpg" width="200"/>
     <img src="img/2.jpg" width="200"/>
     <img src="img/3.jpg" width="200"/>
     <img src="img/4.jpg" width="200"/>
     <img src="img/5.jpg" width="200"/>
     <img src="img/6.jpg" width="200"/>
     <img src="img/7.jpg" width="200"/>
     <img src="img/8.jpg" width="200"/>
</p>

![CI Analyze and Test Build](https://github.com/kerrongordon/covid19/workflows/CI%20Analyze%20and%20Test%20Build/badge.svg?branch=master)
![CI Release Build](https://github.com/kerrongordon/covid19/workflows/CI%20Release%20Build/badge.svg)
![GitHub All Releases](https://img.shields.io/github/downloads/kerrongordon/covid19/total)
![GitHub repo size](https://img.shields.io/github/repo-size/kerrongordon/covid19)
![GitHub top language](https://img.shields.io/github/languages/top/kerrongordon/covid19)

### Are you a translator you can help by contributing [here](https://localazy.com/p/covid-19-trackerkg)

---

## Description

API Data is provided by [Open Disease Data](https://disease.sh/), [Centers for Disease Control and Prevention](https://www.cdc.gov/) and from [Daily updated travel advisories](https://www.travel-advisory.info/).

## Download

A covid 19 application. [Download here](https://github.com/kerrongordon/covid19/releases)
<br>
<br>
<a href="https://galaxy.store/korona19"><img src="https://img.samsungapps.com/seller/images/badges/galaxyStore/png_big/GalaxyStore_English.png?ver=1597278750000" alt="Available on Samsung Galaxy Store" width="150px"></a>

## Getting Started

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

## Support me

[Buy me a coffee](https://paypal.me/kerrongordon?locale.x=en_US)

## Dependencies

- [Adaptive Theme](https://pub.dev/packages/adaptive_theme)
- [Auto Size Text](https://pub.dev/packages/auto_size_text)
- [Bezier Chart](https://pub.dev/packages/bezier_chart)
- [Bottom Navy Bar](https://pub.dev/packages/bottom_navy_bar)
- [Cached Network Image](https://pub.dev/packages/cached_network_image)
- [Dio](https://pub.dev/packages/dio)
- [Dio Http Cache](https://pub.dev/packages/dio_http_cache)
- [Dio Retry](https://pub.dev/packages/dio_retry)
- [Easy Localization](https://pub.dev/packages/easy_localization)
- [Firebase Analytics](https://pub.dev/packages/firebase_analytics)
- [Firebase Core](https://pub.dev/packages/firebase_core)
- [Fl Chart](https://pub.dev/packages/fl_chart)
- [Flare Flutter](https://pub.dev/packages/flare_flutter)
- [Flutter Dotenv](https://pub.dev/packages/flutter_dotenv)
- [Flutter Hooks](https://pub.dev/packages/flutter_hooks)
- [Flutter Icons](https://pub.dev/packages/flutter_icons)
- [Flutter Map](https://pub.dev/packages/flutter_map)
- [Flutter Native Admob](https://pub.dev/packages/flutter_native_admob)
- [Geolocator](https://pub.dev/packages/geolocator)
- [Hooks Riverpod](https://pub.dev/packages/hooks_riverpod)
- [Intl](https://pub.dev/packages/intl)
- [Latlong](https://pub.dev/packages/latlong)
- [List Tile Switch](https://pub.dev/packages/list_tile_switch)
- [Loading Animations](https://pub.dev/packages/loading_animations)
- [Shared Preferences](https://pub.dev/packages/shared_preferences)
- [State Notifier](https://pub.dev/packages/state_notifier)
- [Url Launcher](https://pub.dev/packages/url_launcher)
- [Package Info](https://pub.dev/packages/package_info)

## Dev Dependencies

- [Flutter Launcher Icons](https://pub.dev/packages/flutter_launcher_icons)
- [Flutter Launcher Name](https://pub.dev/packages/flutter_launcher_name)
- [Flutter Native Splash](https://pub.dev/packages/flutter_native_splash)
